MSTR Average BTC Acquired Per Day
mstr-avg-btc-per-day
Chart: MSTR Average BTC Acquired Per Day
Parameters
| Name | Type | Description | Required |
|---|---|---|---|
start_date | string | Start date in YYYY-MM-DD format | No |
end_date | string | End date in YYYY-MM-DD format | No |
latest | bool | If true, returns the current value | No |
Output
| Index | Name | Type | Description |
|---|---|---|---|
| 0 | date | string | Date in YYYY-MM-DD format |
| 1 | avg_1y | string | Average BTC acquired per day over 1 year |
| 2 | avg_6m | string | Average BTC acquired per day over 6 months |
| 3 | avg_3m | string | Average BTC acquired per day over 3 months |
| 4 | 7 day-ma_new_supply | string | 7-day MA of new BTC supply per day |
Example Request
https://charts.bitbo.io/api/v1/mstr-avg-btc-per-day/?start_date=2025-05-07&end_date=2025-05-09
Example Request with Latest
https://charts.bitbo.io/api/v1/mstr-avg-btc-per-day/?latest=true
Code Samples
- cURL
- Python
- JavaScript
- Go
curl "https://charts.bitbo.io/api/v1/mstr-avg-btc-per-day/?start_date=2025-05-07&end_date=2025-05-09&api_key=YOUR_API_KEY"
import requests
url = "https://charts.bitbo.io/api/v1/mstr-avg-btc-per-day/"
params = {
"start_date": "2025-05-07",
"end_date": "2025-05-09",
"api_key": "YOUR_API_KEY"
}
response = requests.get(url, params=params)
data = response.json()
print(data)
const url = "https://charts.bitbo.io/api/v1/mstr-avg-btc-per-day/";
const params = new URLSearchParams({
start_date: "2025-05-07",
end_date: "2025-05-09",
api_key: "YOUR_API_KEY"
});
const response = await fetch(`${url}?${params}`);
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://charts.bitbo.io/api/v1/mstr-avg-btc-per-day/?start_date=2025-05-07&end_date=2025-05-09&api_key=YOUR_API_KEY", nil)
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
Example Output
{
"data": [
[
"2020-08-11",
"58.78",
"117.88",
"235.76",
"916.07"
],
[
"2020-08-12",
"58.78",
"117.88",
"235.76",
"941.07"
],
[
"2020-08-13",
"58.78",
"117.88",
"235.76",
"933.04"
],
]
}